

/* IAs */

#delimit;
local controls y_* region_*;

#delimit;
xtnbreg
ia_start
l.ia_start
hi_natstock
`controls'
if iacn==1, irr;

#delimit;
xtnbreg
revenue_start
l.revenue_start
hi_natstock
`controls'
if iacn==1, irr;

#delimit;
xtnbreg
other_start
l.other_start
hi_natstock
`controls'
if iacn==1, irr;

#delimit;
xtnbreg
immobile_start
l.immobile_start
hi_natstock
`controls'
if iacn==1, irr;

#delimit;
xtnbreg
mobile_start
l.mobile_start
hi_natstock
`controls'
if iacn==1, irr;

sum ia_start revenue_start other_start immobile_start mobile_start hi_natstock if e(sample);

corr ia_start revenue_start other_start immobile_start mobile_start hi_natstock if e(sample);

/* tab ia_start if e(sample)
tab revenue_start if e(sample)
tab other_start if e(sample)
tab immobile_start if e(sample)
tab mobile_start if e(sample) */

/* ICRG */

#delimit;
local controls l.lninstock  l.fmpgdp l.lngdppc l.gdp_growth 
l.polconiii l.exec_1 l.exec_3 l.imf_dum l.crisis_sovdebt l.crisis_currency l.kaopen 
region_* year_*;

/* first table */

#delimit;
tobit
invstprof_pos
cl.hi_natstock
cl.bits_running 
`controls'
, ll(0) ul(12) robust cluster(wbcode);
estimates store e1;

#delimit;
tobit
corrupt_pos
cl.hi_natstock
cl.bits_running 
`controls'
, ll(0) ul(6) robust cluster(wbcode);
estimates store e2;

#delimit;
tobit
corruptinvstprof_pos
cl.hi_natstock
cl.bits_running 
`controls'
, ll(0) ul(18) robust cluster(wbcode);
estimates store e3;

#delimit ;
estout e1 e2 e3, starlevels(* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par))
stats(r2_a N, fmt(%9.3f %9.0g) labels(R-sq))
legend label collabels (none) varlabels (_cons Constant);

#delimit;
corr invstprof_pos corrupt_pos corruptinvstprof_pos 
hi_natstock lngdppc lninstock fmpgdp  gdp_growth kaopen polconiii
bits_running ntdummy ntcarveouts if e(sample);

/* second table */

#delimit;
local controls l.lninstock  l.fmpgdp l.lngdppc l.gdp_growth 
l.polconiii l.exec_1 l.exec_3 l.imf_dum l.crisis_sovdebt l.crisis_currency l.kaopen 
region_* year_*;

#delimit;
tobit
corruptinvstprof_pos
cl.hi_natstock##cl.bits_running
`controls'
, ll(0) ul(18) robust cluster(wbcode);
estimates store e4;
margins,  dydx(cl.bits_running) at(cl.hi_natstock=(1/9)) atmeans level(90) force;
marginsplot, recastci(rline) scheme(s2mono) name(a11);

#delimit;
tobit
corruptinvstprof_pos
cl.hi_natstock##cl.ntdummy
`controls'
, ll(0) ul(18) robust cluster(wbcode);
estimates store e5;
margins,  dydx(cl.ntdummy) at(cl.hi_natstock=(1/9)) atmeans level(90) force;
marginsplot, recastci(rline) scheme(s2mono) name(a22);

#delimit;
tobit
corruptinvstprof_pos
cl.hi_natstock##cl.ntcarveouts
`controls'
, ll(0) ul(18) robust cluster(wbcode);
estimates store e6;
margins, dydx(cl.ntcarveouts) at(cl.hi_natstock=(1/9)) atmeans level(90) force;
marginsplot, recastci(rline) scheme(s2mono) name(a33);

#delimit ;
estout e4 e5 e6, starlevels(* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par))
stats(r2_a N, fmt(%9.3f %9.0g) labels(R-sq))
legend label collabels (none) varlabels (_cons Constant);

graph combine a11 a22 a33;



corr invstprof_pos hi_natstock bits_running ntdummy ntcarveouts lngdppc lninstock fmpgdp 
gdp_growth polconiii if e(sample);

#delimit;
sum invstprof_pos hi_natstock bits_running ntdummy ntcarveouts lngdppc lninstock fmpgdp 
gdp_growth imf_dum crisis_sovdebt crisis_currency kaopen polconiii exec_1 exec_3 exec_2 
if e(sample);

tab country if e(sample);

===

#delimit;
graph bar (mean) invstprof_pos
, over(year) over(region) scheme(s2mono);

#delimit;
corr invstprof_pos hi_natstock;

#delimit;
corr invstprof_pos hi_natstock lninstock bits_running ntdummy icsidsum fmpgdp lngdppc gdp_growth 
imf_dum crisis_sovdebt crisis_currency kaopen polconiii exec_1 exec_2 exec_3;

#delimit;
corr bits_running ntdummy_running icsid_running;

==

/* ROBUSTNESS */

/* ICRG */

#delimit;
local controls l.lngdppc l.lninstock  l.fmpgdp   l.gdp_growth 
l.imf_dum l.crisis_sovdebt l.crisis_currency l.kaopen 
l.polconiii l.exec_1 l.exec_3 region_*
year_*;

/* first table */

#delimit;
tobit
invstprof_pos
l.invstprof_pos
cl.hi_natstock
cl.bits_running 
`controls'
, ll(0) ul(12) robust cluster(wbcode);
estimates store e1;

#delimit;
tobit
corrupt_pos
l.corrupt_pos
cl.hi_natstock
cl.bits_running 
`controls'
, ll(0) ul(6) robust cluster(wbcode);
estimates store e2;

#delimit;
tobit
corruptinvstprof_pos
l.corruptinvstprof_pos
cl.hi_natstock
cl.bits_running 
`controls'
, ll(0) ul(18) robust cluster(wbcode);
estimates store e3;

/* second table */

#delimit;
tobit
corruptinvstprof_pos
l.corruptinvstprof_pos
cl.hi_natstock 
cl.hi_natstock##cl.bits_running
`controls'
, ll(0) ul(12) robust cluster(wbcode);
estimates store e1;

#delimit;
tobit
corruptinvstprof_pos
l.corruptinvstprof_pos
l.hi_natstock 
cl.hi_natstock##cl.ntcarveouts
`controls'
, ll(0) ul(18) robust cluster(wbcode);
estimates store e2;

#delimit ;
estout e1 e2, starlevels(* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par))
stats(r2_a N, fmt(%9.3f %9.0g) labels(R-sq))
legend label collabels (none) varlabels (_cons Constant);
