/* IIA effects on dyadic FDI */

/* W/O IIAs */
#delimit;
xtreg lnnetfdi
l.bit_force
l.hi_natstock
l.lntrade_hh
l.polconiii
l.invstprof_neg
l.lnhost_gdppc
l.host_growth
l.lnpop_host
l.kaopen
l.lnhome_gdppc
l.home_growth
year_*
if oecd==0, 
fe robust cluster(hhNUM);
estimates store eA;


/* IIA tests - one year */
#delimit;
xtreg lnnetfdi
l.iia l.iiaother
l.bit_force
l.hi_natstock
l.lntrade_hh
l.polconiii
l.invstprof_neg
l.lnhost_gdppc
l.host_growth
l.lnpop_host
l.kaopen
l.lnhome_gdppc
l.home_growth
year_*
if oecd==0, 
fe robust cluster(hhNUM);
estimates store eB;
margins if oecd==0, atmeans at(l.iia=(0 1)) noesample;

/* IIA tests - two years */
#delimit;
xtreg lnnetfdi
l.iia2 l.iiaother2
l.bit_force
l.hi_natstock
l.lntrade_hh
l.polconiii
l.invstprof_neg
l.lnhost_gdppc
l.host_growth
l.lnpop_host
l.kaopen
l.lnhome_gdppc
l.home_growth
year_*
if oecd==0,
fe robust cluster(hhNUM);
estimates store eC;
margins if oecd==0, atmeans at(l.iia2=(0 1)) noesample;

sum iia2 iiaother2 if e(sample);

/* IIA tests - three years */
#delimit;
xtreg lnnetfdi
l.iia3 l.iiaother3
l.bit_force
l.hi_natstock
l.lntrade_hh
l.polconiii
l.invstprof_neg
l.lnhost_gdppc
l.host_growth
l.lnpop_host
l.kaopen
l.lnhome_gdppc
l.home_growth
year_*
if oecd==0, 
fe robust cluster(hhNUM);
estimates store eD;
margins if oecd==0, atmeans at(l.iia3=(0 1)) noesample;

sum iia3 iiaother3 if e(sample);

estout eA eB eC eD, starlevels(* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par))
stats(r2_a N, fmt(%9.3f %9.0g) labels(R-sq));

#delimit;
sum lnnetfdi iia iiaother iia2 iiaother2 iia3 iiaother3 bit_force hi_natstock lntrade_hh polconiii
invstprof_neg lnhost_gdppc host_growth kaopen lnhome_gdppc home_growth if e(sample);
---


/*
sort hhNUM year
gen iia2=iia + l.iia
replace iia2=1 if iia2==2
gen iia5=iia + l.iia + l2.iia + l3.iia + l4.iia
replace iia5=1 if iia5>1 & iia5!=.

gen iiaother = iiaother_old 
replace iiaother=0 if iiaother_old==.
gen iiaother2 = iiaother + l.iiaother
replace iiaother2=1 if iiaother2==2
gen iiaother5=iiaother + l.iiaother + l2.iiaother + l3.iiaother + l4.iiaother
replace iiaother5=1 if iiaother5>1 & iiaother5!=.

replace iia2=. if year==1998 | year==1999
replace iiaother2=. if year==1998 | year==1999
replace iia5=. if year<=2002
replace iiaother5=. if year<=2002

gen iia3=iia + l.iia + l2.iia 
replace iia3=1 if iia3>1 & iia3!=.

gen iiaother3 = iiaother + l.iiaother + l2.iiaother
replace iiaother3=1 if iiaother3>1 & iiaother3!=.
*/
